[youtubei.js](../README.md) / OAuth2Tokens

# Type Alias: OAuth2Tokens

> **OAuth2Tokens**: `object`

## Type declaration

### access\_token

> **access\_token**: `string`

### client?

> `optional` **client**: [`OAuth2ClientID`](OAuth2ClientID.md)

### expires\_in?

> `optional` **expires\_in**: `number`

### expiry\_date

> **expiry\_date**: `string`

### refresh\_token

> **refresh\_token**: `string`

### scope?

> `optional` **scope**: `string`

### token\_type?

> `optional` **token\_type**: `string`

## Defined in

[src/core/OAuth2.ts:12](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/OAuth2.ts#L12)
